Subject: bug#30068: 26.0; REGRESSION: no doc for `x-display-pixel-*'

From: Glenn Morris <[email-masked]>
Date: Thu, 11 Jan 2018 14:26:02 -0500

Eli Zaretskii wrote:

>> The doc for these x- functions is now stored in quadruplicate
>> (src/xfns.c, src/w32fns.c, src/nsfns.m, lisp/term/pc-win.el).
>> 
>> Is there a better way?
>
> I hope there is, and I'm all for seeking one.

How about:

Keep the real doc only in xfns.c, makes the others just say <skip>, or
<see:xfns.c>, and change Fsnarf_documentation to respect <skip>.

Related: I see Fsnarf_documentation already has skip_file, but it
doesn't handle lisp files. Maybe it could be taught about
preloaded-file-list, which would have avoided this particular problem.